Skip to main content
GET
Get Coupon Details

Headers

X-BUSINESS-API-KEY
string
required
Example:

"b286daabf9921b5a01a4621f026c111e046f8911feba212996c92159b98427d"

Path Parameters

coupon_id
string<uuid>
required

The coupon ID.

Response

200

id
string<uuid>
business_id
string<uuid>
name
string
code
string
fixed_amount
integer

Fixed discount in minor units (cents).

percentage
number

Percentage discount as a fraction (0.15 = 15%).

coupons_left
integer | null

Remaining uses; null = unlimited.

is_promo_banner
boolean
banner_text
string | null
created_at
string<date-time>
updated_at
string<date-time>
starts_at
string<date-time> | null

UTC.

ends_at
string<date-time> | null

UTC.

coupon_type
enum<integer>
Available options:
1,
2,
3
minimum_cart_amount
integer

Minimum cart amount in minor units (cents).

deleted_at
string<date-time> | null
applies_to_ids
object[]

Categories or products the coupon applies to. Empty for coupon_type 1.

Last modified on November 3, 2026